Subject: `guix pull` fails on A20-OLinuXino-LIME2-eMMC

From: Tanguy LE CARROUR <[email-masked]>
Date: Fri, 11 Nov 2022 18:53:20 +0100

Dear Guix,

I decided to try to install Guix System on my A20-OLinuXino-LIME2-eMMC.
I used the latest Armbian as a base system. I APT-installed Guix and
tried to `guix pull`, but it failed with the following message:

```shell
$ guix pull
# […]
building /gnu/store/05k8k43x5k78r0d41xcpw3ivwwr878rl-curl-7.84.0.tar.xz.drv...
building /gnu/store/y9svpa7kwv48mpvgl5z9w7skizm93vb1-gnutls-3.7.7.tar.xz.drv...
building /gnu/store/mz7ff25ihc77006p964ji5d47rhs2iam-guile-gnutls-3.7.9-checkout.drv...
building /gnu/store/sq3w2hk9z1va6q2dbjg16mi0afw64q9b-gnutls-3.7.7.drv...
/ 'build' phas\Backtrace:
          15 (primitive-load "/gnu/store/mbs3lc77zy30nr82lnn2s135i2rvq095-compute-guix-derivation")
In ice-9/eval.scm:
    155:9 14 (_ _)
|    159:9 13 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
In ice-9/boot-9.scm:
    152:2 12 (with-fluid* _ _ _)
    152:2 11 (with-fluid* _ _ _)
In ./guix/store.scm:
  2170:24 10 (run-with-store #<store-connection 256.99 b46dc668> _ #:guile-for-build _ #:system _ #:target _)
   1998:8  9 (_ _)
In ./guix/gexp.scm:
   299:22  8 (_ _)
   1180:2  7 (_ _)
   1046:2  6 (_ _)
    892:4  5 (_ _)
In ./guix/store.scm:
  2055:12  4 (_ #<store-connection 256.99 b3d48578>)
   1403:5  3 (map/accumulate-builds #<store-connection 256.99 b3d48578> #<procedure b424d690 at ./guix/store.scm:20?> ?)
  1419:15  2 (_ #<store-connection 256.99 b3d48578> _ _)
   713:11  1 (process-stderr #<store-connection 256.99 b3d48578> _)
In ./guix/serialization.scm:
     80:6  0 (read-int #<input-output: file 10>)

./guix/serialization.scm:80:6: In procedure read-int:
ERROR:
  1. &nar-error:
      file: #f
      port: #<input-output: file 10>
/guix pull: error: You found a bug: the program '/gnu/store/mbs3lc77zy30nr82lnn2s135i2rvq095-compute-guix-derivation'
failed to compute the derivation for Guix (version: "ba8679fb2452f4466a98a99edf050ea7452c83f4"; system: "armhf-linux";
host version: "1.2.0"; pull-version: 1).
Please report the COMPLETE output above by email to <[email-masked]>.
```

>From the backtrace, I cannot figure out what went wrong! Any idea?

Best regards,

-- 
Tanguy